/**
 * Copyright (C) 2004, TopCoder, Inc. All rights reserved
 */
package com.topcoder.rules.dependencymap.view;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;


/**
 * <p>
 * This test case aggregates all Unit test cases.
 * </p>
 *
 * @author TopCoder
 * @version 1.0
 */
public class UnitTests extends TestCase {
    /**
     * Return the test suite.
     *
     * @return the test suite.
     */
    public static Test suite() {
        final TestSuite suite = new TestSuite();

        suite.addTestSuite(RendererExceptionUnitTests.class);
        suite.addTestSuite(DependencyUnitTests.class);
        suite.addTestSuite(ShapeFactoryUnitTests.class);
        suite.addTestSuite(SVGGraphicsAdapterUnitTests.class);
        suite.addTestSuite(SVGRendererUnitTests.class);
        suite.addTestSuite(FixedGridLayoutManagerUnitTests.class);
        suite.addTestSuite(DependencyRendererUnitTests.class);

        suite.addTestSuite(ComponentDemo.class);

        return suite;
    }

}
